package com.skywang.control;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.Button;
import android.view.View;
import android.view.View.OnClickListener;
import android.content.Intent;

public class ImageViewTest extends Activity implements View.OnClickListener{

	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.image_view_test);
    
        ((Button) findViewById(R.id.btn_matrix)).setOnClickListener(this);
        ((Button) findViewById(R.id.btn_fitXY)).setOnClickListener(this);
        ((Button) findViewById(R.id.btn_fitStart)).setOnClickListener(this);
        ((Button) findViewById(R.id.btn_center)).setOnClickListener(this);
        ((Button) findViewById(R.id.btn_centerCrop)).setOnClickListener(this);
        ((Button) findViewById(R.id.btn_centerInside)).setOnClickListener(this);
    }
    
    @Override
    public void onClick(View v) {
    	switch (v.getId()) {
	    	case R.id.btn_matrix:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.MatrixImageView"));
	    		break;
	    	}
	    	case R.id.btn_fitXY:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.FitxyImageView"));
	    		break;
	    	}
	    	case R.id.btn_fitStart:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.FitStartImageView"));
	    		break;
	    	}
	    	case R.id.btn_center:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.CenterImageView"));
	    		break;
	    	}
	    	case R.id.btn_centerCrop:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.CenterCropImageView"));
	    		break;
	    	}
	    	case R.id.btn_centerInside:{
	    		this.startActivity(new Intent().setClassName("com.skywang.control","com.skywang.control.CenterInsideImageView"));
	    		break;
	    	}    	
    	}
    }
}
